Index: /trunk/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 331)
+++ /trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 332)
@@ -368,5 +368,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   ("QTLPC",                           m_bUseQTLPC               , true         , "Use depth Quadtree Limitation + Predictive Coding" )
 #endif
@@ -1695,5 +1695,5 @@
   printf("WVSO:%d ", m_bUseWVSO );
 #endif
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   printf("QTLPC:%d ", m_bUseQTLPC);
 #endif
Index: /trunk/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 331)
+++ /trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 332)
@@ -313,5 +313,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool      m_bUseQTLPC;                                      ///< flag for using depth QuadTree Limitation + Predictive Coding
 #endif
Index: /trunk/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /trunk/source/App/TAppEncoder/TAppEncTop.cpp	(revision 331)
+++ /trunk/source/App/TAppEncoder/TAppEncTop.cpp	(revision 332)
@@ -357,5 +357,5 @@
     m_acTEncTopList[iViewIdx]->setUseDMM                     ( false );
 #endif
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     m_acTEncTopList[iViewIdx]->setUseQTLPC                   ( false );
 #endif
@@ -595,5 +595,9 @@
       m_acTEncDepthTopList[iViewIdx]->setUseSAO               ( m_abUseSAO[1]     );
 #if LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_DEPTH_C0046
+      m_acTEncDepthTopList[iViewIdx]->setUseIC                ( m_abUseIC[1] );
+#else
       m_acTEncDepthTopList[iViewIdx]->setUseIC                ( false     );
+#endif
 #endif
 #if INTER_VIEW_VECTOR_SCALING_C0115
@@ -659,5 +663,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     m_acTEncDepthTopList[iViewIdx]->setUseQTLPC                   (m_bUseQTLPC);
 #endif
Index: /trunk/source/Lib/TLibCommon/CommonDef.h
===================================================================
--- /trunk/source/Lib/TLibCommon/CommonDef.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/CommonDef.h	(revision 332)
@@ -140,10 +140,4 @@
 #define PDM_MERGE_POS                     0         // position of pdm in merge list (0..4)
 
-#if H3D_IVMP
-#define DMV_MERGE_POS                     4
-#else
-#define DMV_MERGE_POS                     1
-#endif
-
 #if H3D_IVMP&!H3D_NBDV
 #define PDM_AMVP_POS                      0         // position of pdm in amvp list  (0..3)
Index: /trunk/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- /trunk/source/Lib/TLibCommon/ContextTables.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/ContextTables.h	(revision 332)
@@ -434,9 +434,5 @@
 
 #if HHI_DMM_WEDGE_INTRA || HHI_DMM_PRED_TEX
-#if FIX_DMM_CTX_INIT_C0034
 static const UChar
-#else
-static const Short
-#endif
 INIT_DMM_FLAG[3][NUM_DMM_FLAG_CTX] =
 {
@@ -452,9 +448,5 @@
 };
 
-#if FIX_DMM_CTX_INIT_C0034
 static const UChar
-#else
-static const Short
-#endif
 INIT_DMM_MODE[3][NUM_DMM_MODE_CTX] =
 {
@@ -470,9 +462,5 @@
 };
 
-#if FIX_DMM_CTX_INIT_C0034
 static const UChar
-#else
-static const Short
-#endif
 INIT_DMM_DATA[3][NUM_DMM_DATA_CTX] = 
 {
